Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.tooling.model
Interface GradleProject

All Superinterfaces:
  BuildableElement, Element, HierarchicalElement

    public interface GradleProject

extends HierarchicalElement, BuildableElement

Gradle project.

Since:
  1.0-rc-1

Method Summary
`GradleProject` | `findByPath(String path)` searches all descendants (children, grand children, etc.), including self, by given path.
`DomainObjectSet<? extends GradleProject>` | `getChildren()` Returns the child elements.
`GradleProject` | `getParent()` Returns the parent of this element, if any.
`String` | `getPath()` Returns gradle path
`DomainObjectSet<? extends GradleTask>` | `getTasks()` Returns the tasks of this project.

Methods inherited from interface org.gradle.tooling.model.Element
`getDescription, getName`

Method Detail

### getTasks

    DomainObjectSet<? extends GradleTask> getTasks()

  Returns the tasks of this project.

  Specified by:
    `getTasks` in interface `BuildableElement`
  Returns:
    The tasks.

### getParent

    GradleProject getParent()

  Returns the parent of this element, if any.

  Specified by:
    `getParent` in interface `HierarchicalElement`
  Returns:
    The parent, or null if it has no parent.

### getChildren

    DomainObjectSet<? extends GradleProject> getChildren()

  Returns the child elements.

  Specified by:
    `getChildren` in interface `HierarchicalElement`
  Returns:
    The child elements. Returns an empty set if it has no children.

### getPath

    String getPath()

  Returns gradle path

  Returns:
    The path.

### findByPath

    GradleProject findByPath(String path)

  searches all descendants (children, grand children, etc.), including self, by given path.

  Returns:
    gradle project with matching path or null if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD